# Upstream

# Revision 22
* Enhancement: version bump libperiCORE 22
* Enhancement: use http::JSONEndpoint to reflect its content-type
* Enhancement: update vscode to automatically open the workspace
* Fix: relax timeouts when connection to the remote debug server

# 21

* Update: libperiCORE version bump to 21
* Update: pipeline http requests in WebUI to use persistent connectivity (libperiCORE-21)
* Update: refactor and simplify code structure
* Enhancement: define application specific HTTP-Endpoints and Configuration-Endpoints
* Enhancement: rework webUI

# Revision 20

* Feature: add time series graph (uPlot) on home page
* Enhancement: version bump libperiCORE-20

# Revision 19

* Feature: add reboot button in Information WebUI
* Enhancement: reboot the node after pushing configuration
* Enhancement: accept zip file as update firmware image via WebUI
* Enhancement: refuses intervariant firmware images in WebUI
* Enhancement: add example assert implementation
* Fix: compiletime verification of webui partition size
* Enhancement: add openapi based API specification
* Fix: store WebUI compressed (gzip) at compile time

# Revision 18

* Enhancement: Add customer friendly release container
* Fix: Max22515: Disable current limitation

# Revision 17

* Enhancement: Unify http endpoint usage
* Fix: WebUI: Reduce sample refresh rate

# Revision 16

* Fix: MQTT topic handling
* Enhancement: doc: Add developer application description
* Enhancement: Api: Change Gpio sample definition

# Revision 15

* Fix: Missing MQTT connection
* Fix: Missing incarnation count initialization

# Revision 14

* Fix: webui-update: handle unauthorized status code
* Enhancement: Makefile: use variable version instead of hard coded version number
